#pragma once

class Color 
{
public:
    double r, g, b;
    
    Color(const double &red = 0.0, const double &green = 0.0, const double &blue = 0.0) : r(red), g(green), b(blue) {
    }
    
    Color& operator+=(const Color &rhs);
    Color operator+(const Color &rhs) const;
    
    static Color createHue( double h );
	static Color white();
	static Color black();

    
};